package com.hzya.frame.sys.userTemplateView.dao;

import com.hzya.frame.sys.userTemplateView.entity.UserTemplateView;
import java.util.List;

/**
 * @description: 用户模板视图展示表  dao
 * @tableName: sys_user_template_view 
 * @entityName: UserTemplateView
 * @author: gjh
 * @history: 1.0
 */
public interface IUserTemplateViewMapper {

        //通过ID获取数据    entity_get
        UserTemplateView entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<UserTemplateView> entity_list_base(UserTemplateView entity);

        //  查询符合条件的数量
        Integer entity_count(UserTemplateView entity);

        //分页查询列表 采用like格式 entity_list_like
        List<UserTemplateView> entity_list_like(UserTemplateView entity);

        //查询列表 字段采用or格式   entity_list_or
        List<UserTemplateView> entity_list_or(UserTemplateView entity);

        //新增  entity_insert
        Integer entity_insert(UserTemplateView entity);

        //修改  entity_update
        Integer entity_update(UserTemplateView entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(UserTemplateView entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(UserTemplateView entity);

        //物理删除
        Integer entity_delete(UserTemplateView entity);


}
